import request from '@/utils/request'

// 查询税务处罚-欠税公告列表
export function listArrears(query) {
    return request({
        url: '/crmTaxArrears/findByPage',
        method: 'get',
        params: query
    })
}

// 查询税务处罚-欠税公告详细
export function getArrears(id) {
    return request({
        url: '/crmTaxArrears/' + id,
        method: 'get'
    })
}

// 新增税务处罚-欠税公告
export function addArrears(data) {
    return request({
        url: '/crmTaxArrears',
        method: 'post',
        data: data
    })
}

// 修改税务处罚-欠税公告
export function updateArrears(data) {
    return request({
        url: '/crmTaxArrears',
        method: 'put',
        data: data
    })
}

// 删除税务处罚-欠税公告
export function delArrears(id) {
    return request({
        url: '/crmTaxArrears/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delArrearsBatch(ids) {
    console.log(ids);
    return request.post('/crmTaxArrears/delete',ids)
}